with GNATCOM.Dispinterface;

package MSHTML.IHTMLFrameElement2_Object is

   type IHTMLFrameElement2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_height
     (This : IHTMLFrameElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_height
     (This : IHTMLFrameElement2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_width
     (This : IHTMLFrameElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_width
     (This : IHTMLFrameElement2_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLFrameElement2_Object;

